Interface GraphqlEndpointBuilderFactory.GraphqlBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- GraphqlEndpointBuilderFactory
public static interface GraphqlEndpointBuilderFactory.GraphqlBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default GraphqlEndpointBuilderFactory.GraphqlEndpointBuildergraphql(String path)GraphQL (camel-graphql) Send GraphQL queries and mutations to external systems.default GraphqlEndpointBuilderFactory.GraphqlEndpointBuildergraphql(String componentName, String path)GraphQL (camel-graphql) Send GraphQL queries and mutations to external systems.
-
-
-
Method Detail
-
graphql
default GraphqlEndpointBuilderFactory.GraphqlEndpointBuilder graphql(String path)
GraphQL (camel-graphql) Send GraphQL queries and mutations to external systems. Category: api Since: 3.0 Maven coordinates: org.apache.camel:camel-graphql Syntax:graphql:httpUriPath parameter: httpUri (required) The GraphQL server URI.- Parameters:
path- httpUri- Returns:
- the dsl builder
-
graphql
default GraphqlEndpointBuilderFactory.GraphqlEndpointBuilder graphql(String componentName, String path)
GraphQL (camel-graphql) Send GraphQL queries and mutations to external systems. Category: api Since: 3.0 Maven coordinates: org.apache.camel:camel-graphql Syntax:graphql:httpUriPath parameter: httpUri (required) The GraphQL server URI.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- httpUri- Returns:
- the dsl builder
-
-